package com.ruoyi.custclient.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.custclient.dto.QueryLabelCodeDto;
import com.ruoyi.custclient.dto.QueryLabelTypeDto;
import com.ruoyi.custclient.dto.SaveLabelDto;
import com.ruoyi.custclient.vo.PageLabelCodeVo;
import com.ruoyi.custclient.vo.PageLabelTypeVO;
import com.ruoyi.system.domain.LabelCode;

import java.util.List;

public interface LabelService {

    // 保存标签和标签组
    boolean saveLabel(SaveLabelDto dto);

    // 获取标签列表 分页
    Page<PageLabelCodeVo> getLabelCodeInPage(QueryLabelCodeDto dto);

    // 获取标签组列表  分页
    List<PageLabelTypeVO> getLabelTypeInPage(QueryLabelTypeDto dto);

    // 获取标签表ist
    List<LabelCode> getLabelCodeList();

    //根据id删除标签组
    boolean removeLabelTypeById(Long labelTypeId);
}
